Name: pcmciautils
Summary: PCMCIA utilities and initialization programs
License: GPL
Version: 014
Release: 5
Group: System Environment/Base
ExclusiveArch: i386 x86_64 ia64 ppc ppc64
Source: http://www.kernel.org/pub/linux/utils/kernel/pcmcia/pcmciautils-%{version}.tar.bz2
Obsoletes: pcmcia-cs
Obsoletes: kernel-pcmcia-cs
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libsysfs-devel >= 1.3.0
Requires: udev >= 062, kernel >= 2.6.12-1.1411_FC5
BuildRequires: byacc, flex
Patch1: pcmciautils-fedora.patch
Patch2: pcmciautils-014-newrules.patch

%description
The pcmciautils package contains utilities for initializing and
debugging PCMCIA and Cardbus sockets.

%prep
%setup -q
# Fix build peculiarities
%patch1 -p1
%patch2 -p1

%build
make

%install
%{__rm} -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/pcmcia/*.opts
/etc/udev/rules.d/*
/sbin/*
%{_mandir}/man*/*

%changelog
* Mon Jul 17 2006 Jesse Keating <jkeating@redhat.com> - 014-5
- rebuild
- change br sysfsutils-devel to libsysfs-devel

* Mon Jun 19 2006 Harald Hoyer <harald@redhat.com> - 014-3
- changed MODALIAS to ENV{MODALIAS} in the rules file

* Wed Jun  7 2006 Harald Hoyer <harald@redhat.com> - 014-2
- better buildrequires

* Tue Jun 06 2006 Harald Hoyer <harald@redhat.com> - 014-1
- more build requires (bug #194144)
- version 014

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 011-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 011-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Dec 13 2005  Bill Nottingham <notting@redhat.com> 011-1
- update to 011, now ships with its own udev rules
- remove pcmcia-cs provide

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Sun Jul 24 2005  Bill Nottingham <notting@redhat.com> 007-1
- further udev-related tweaks (#163311)

* Thu Jul 21 2005  Bill Nottingham <notting@redhat.com> 006-2
- udev patch - right idea, awful execution. fix that (#163311)
- add requirement for 2.6.13-rc1, basically

* Wed Jul 20 2005  Bill Nottingham <notting@redhat.com> 006-1
- update to 006
- link libsysfs statically

* Fri Jul 08 2005  Bill Nottingham <notting@redhat.com> 005-1
- initial packaging
